> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ocoya.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all posts

> Returns information about all posts



## OpenAPI

````yaml /openapi.yaml get /post
openapi: 3.1.0
info:
  version: 1.1.0
  title: Ocoya API
  description: REST API reference for Ocoya.
servers:
  - url: https://app.ocoya.com/api/_public/v1
security:
  - ApiKeyAuth: []
paths:
  /post:
    get:
      summary: List all posts
      description: Returns information about all posts
      parameters:
        - in: query
          name: workspaceId
          required: true
          description: Ocoya workspace ID. Get one from `GET /workspaces`.
          schema:
            type: string
            example: cmayvq3hk00017apshay5qezu
        - in: query
          name: statuses
          description: Post statuses to include in the result.
          schema:
            type: array
            enum:
              - DRAFT
              - PENDING_CLIENT_APPROVAL
              - PENDING_INTERNAL_APPROVAL
              - SCHEDULED
              - POSTED
              - ERROR
            example:
              - DRAFT
          style: form
          explode: true
        - in: query
          name: page
          description: Zero-based page number for paginated results.
          schema:
            type: integer
            example: 0
        - in: query
          name: perPage
          description: Maximum number of items to return per page.
          schema:
            type: integer
            example: 10
      responses:
        '200':
          description: Success
        '500':
          description: Unknown error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````